<?php
// $Id: flexiaccess.admin.inc,v 1.1 2010/10/30 14:15:13 goodman Exp $ 

/*
 * @todo:
 *  - Theme
 */

/**
 * @file
 * Administrative page callbacks for the Flexi Access module.
 */


/**
 * Form builder to display a listing of all roles and permissions.
 *
 * @ingroup forms
 * @see flexiaccess_admin_form_submit()
 */
function flexiaccess_admin_form($form) {
  $types = node_type_get_types();
  $names = node_type_get_names();

  $form['flexiaccess']['types'] = array(
    '#type' => 'checkboxes', 
    '#title' => t('Flexi Access for Content Types'), 
    '#default_value' => variable_get('flexiaccess_types', array()),
    '#options' => $names,
    '#description' => t('Check every content type you want Flexi Access to manage it\'s ACL.'),
  );

  $form['actions'] = array('#type' => 'actions');
  $form['actions']['submit'] = array('#type' => 'submit', '#value' => t('Save'));

  return $form;
}

/**
 * Submit handler to update changed roles in content types
 *
 * @see flexiaccess_admin_form()
 */
function flexiaccess_admin_form_submit($form, &$form_state) {
  if (isset($form_state['values']['types'])) {
    variable_set('flexiaccess_types', $form_state['values']['types']);
  }

  drupal_set_message(t('Flexi Access changes have been updated.'));
  cache_clear_all();
}
